#!/bin/bash
# LOCAL/FTP/SCP/MAIL PARAMETERS
# http://colandino.nl
SERVER="10.0.0.254" # IP of Network disk, used for ftp
USERNAME="pi" # FTP username of Network disk used for ftp
PASSWORD="raspberry" # FTP password of Network disk used for ftp
DESTDIR="/tmp" # used for temorarily storage
DOMO_IP="10.0.0.1" # Domoticz IP
DOMO_PORT="8080" # Domoticz port
### END OF USER CONFIGURABLE PARAMETERS
TIMESTAMP=`/bin/date +%Y%m%d%H%M%S`
BACKUPFILE="domoticz_$TIMESTAMP.db" # backups will be named "domoticz_YYYYMMDDHHMMSS.db.gz"
BACKUPFILEGZ="$BACKUPFILE".gz
### Stop Domoticz, create backup, ZIP it and start Domoticz again
service domoticz.sh stop
/usr/bin/curl -s http://$DOMO_IP:$DOMO_PORT/backupdatabase.php > /tmp/$BACKUPFILE
service domoticz.sh start
gzip -9 /tmp/$BACKUPFILE
### Send to Network disk through FTP
curl -s --disable-epsv -v -T"/tmp/$BACKUPFILEGZ" -u"$USERNAME:$PASSWORD" "ftp://$SERVER/homes/pi/Backups/"
### Remove temp backup file
/bin/rm /tmp/$BACKUPFILEGZ
### Done!
